* {
    /* border: 1px red solid; */
}

:root {
    --black: #000000;
    --darker-gray: #121212;
    --dark-gray: #363636;
    /*above is body text color*/
    --gray: #727272;
    --light-gray: #dfdfdf;
    --lightest-gray: #f2f2f2;
    --cornell-red: #B31B1B;
    --cornell-blue: #006699;
}

@font-face {
    font-family: 'cmu_serifitalic';
    src: url('fonts/cmunti-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}


.header {
    display: flex;
    margin: auto;
    flex-direction: column;
    max-width: 92%;
    width: 600px;
    text-align: left;
    margin-bottom: 30px;

    h2 {
        font-family: "benton-modern-display";
        font-weight: 400;
        font-style: italic;
        font-size: 80px;
        color: var(--darker-gray);
        text-align: center;
        margin: 20px;
        text-decoration: underline var(--cornell-red) 7px;
    }

    h3 {
        font-family: "franklin-gothic-std", sans-serif;
        font-weight: 400;
        font-style: normal;
        font-size: 15px;
        color: var(--dark-gray);
        margin: 0px 0px 10px;
    }

    h4 {
        font-family: "nimbus-roman", serif;
        font-weight: 400;
        font-style: normal;
        font-size: 22px;
        color: var(--dark-gray);
        margin: 0px;
    }

    p {
        font-family: "franklin-gothic-std", sans-serif;
        font-weight: 400;
        font-style: normal;
        font-size: 10px;
        margin: 1px;
        color: var(--gray);
    }
}

.essay {
    display: flex;
    flex-direction: column;
    margin: auto;
    max-width: 92vw;
    width: 600px;

    h3 {
        font-family: "roboto-slab", serif;
        font-weight: 700;
        font-style: normal;
        font-size: 26px;
        color: var(--darker-gray);
        margin: 35px 0px 20px 0px;
    }

    p {
        font-family: "nimbus-roman", serif;
        font-weight: 400;
        font-style: normal;
        font-size: 22px;
        margin: 0px 0px 15px 0px;
        color: var(--dark-gray);
        line-height: 30px;
    }

    .end-paragraph {
        margin: 0px;
    }
}

a {
    color: inherit;
    text-decoration: underline var(--cornell-blue) 2.5px;
}

hr {
    border: 1px solid var(--light-gray);
    width: 100%;
    margin: 25px auto 25px;
}

.table {
    display: flex;
    margin: 0 auto;
    width: 1200px;
    max-width: 92vw;
    /* center horizontally over entire page */
    margin-left: 50%;
    transform: translateX(-50%);
    overflow-x: auto;
    color: var(--darker-gray);

    table {
        font-family: "franklin-gothic-std", sans-serif;
        font-weight: 400;
        font-style: normal;
        font-size: 15px;
        text-align: center;
        border-collapse: collapse;
        margin: 15px auto;

        td {
            border: 1px solid black;
            padding: 5px;
            padding-left: 10px;
            padding-right: 10px;
        }

        th {
            padding: 5px;
        }

        caption-side: bottom;

        caption {
            margin: 2px;
            text-align: left;
            color: var(--gray);
            line-height: 18px;
            margin-bottom: 15px;
            font-size: 12px;
        }
    }
}


.image-container {
    p {
        font-family: "franklin-gothic-std", sans-serif;
        font-weight: 400;
        font-style: normal;
        font-size: 15px;
        display: flex;
        justify-content: center;
        color: var(--gray);
        line-height: 18px;
    }

    img {
        width: 100%;
    }
}

.big-image-container {
    p {
        font-family: "franklin-gothic-std", sans-serif;
        font-weight: 400;
        font-style: normal;
        font-size: 15px;
        display: flex;
        justify-content: center;
        width: 1200px;
        max-width: 90vw;
        margin: auto;
        color: var(--gray);
    }

    img {
        display: flex;
        margin: auto;
        width: 1000px;
        max-width: 90vw;
    }
}

.annotation-image {
    z-index: -1;
    position: absolute;
}

@media screen and (width <=900px) {
    .annotation-image {
        visibility: hidden;
    }
}

.footer {
    color: var(--dark-gray);
    display: flex;
    flex-direction: column;
    margin: auto;
    align-items: center;
    max-width: 85%;

    font-family: "franklin-gothic-std", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 14px;
    text-align: center;

    img {
        width: 30px;
    }

    p {
        margin: 2px;
    }
}

.coin-flips {
    margin: auto auto 15px;
    overflow-wrap: anywhere;
    max-width: 41ch;
    font-size: 25px;
    font-weight: 400;
    font-family: 'cmu_serifitalic';
    color: var(--darker-gray);
}

#coin-simulation {
    display: flex;
    margin-bottom: 15px;
    color: var(--dark-gray);


    .selection {
        text-align: center;
        width: 25%;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: space-between;
    }

    .selection-label {
        font-family: "franklin-gothic-std", sans-serif;
        font-weight: 400;
        font-style: normal;
        font-size: 15px;
        margin: 10px;
        min-height: fit-content;
        height: 40px;
        display: flex;
        align-items: center;
    }

    select {
        text-align: center;
        font-family: "franklin-gothic-std", sans-serif;
        font-weight: 400;
        font-style: normal;
        font-size: 15px;
        width: 80px;
        max-width: 92%;
    }
}

.button {
    width: 100px;
    border: 1px solid black;
    padding: 5px 10px 5px 10px;
    margin: 15px auto 15px;
    background-color: var(--lightest-gray);
    border-radius: 50px;
    cursor: pointer;
    font-family: "franklin-gothic-std", sans-serif;
    font-weight: 500;
    font-style: normal;
    font-size: 15px;
    color: var(--darker-gray);
}

.progress-bar {
    font-family: "franklin-gothic-std", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 10px;
    border: 1px solid black;
    height: 4px;
    border-radius: 5px;
    margin-bottom: 25px;
}

#sims-progress-bar {
    background-color: var(--gray);
    height: 4px;
    border-radius: 5px;
    margin-bottom: 5px;
}